using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace FMSAdmin.Entities {
    public partial class BemsPeakFacility {

        //최대전력 관제점 설비 목록
        [Display(Name = "현장 고유번호"), Key]
        public int SiteId { get; set; }
        [Display(Name = "피크 발생 시간"), Key]
        public DateTime MaxDateTime { get; set; }
        [Display(Name = "피크발생 설비 고유 번호"), Key]
        public int FacilityCode { get; set; }

        [ForeignKey("SiteId,FacilityCode")]
        public virtual CmFacility CmFacility { get; set; }
    }
}
